@import 'framework/variables';
@import 'framework/variables_overrides';

#js-peek {
  position: fixed;
  left: 0;
  top: 0;
  width: 100%;
  z-index: #{$zindex-modal-backdrop - 1};

  height: $performance-bar-height;
  background: $black;
  line-height: $performance-bar-height;
  color: $gray-300;

  select {
    color: $white;
    width: 200px;
  }

  input {
    color: $gray-300;
    width: $input-short-width - 60px;
  }

  &.disabled {
    display: none;
  }

  &.production {
    background-color: $perf-bar-production;

    select,
    input {
      background: $perf-bar-production;
    }
  }

  &.staging {
    background-color: $perf-bar-staging;

    select,
    input {
      background: $perf-bar-staging;
    }
  }

  &.development {
    background-color: $perf-bar-development;

    select,
    input {
      background: $perf-bar-development;
    }
  }

  // UI Elements
  .bucket {
    background: $perf-bar-bucket-bg;
    display: inline-block;
    padding: 4px 6px;
    font-family: Consolas, 'Liberation Mono', Courier, monospace;
    line-height: 1;
    color: $gray-100;
    border-radius: 3px;
    box-shadow: 0 1px 0 $perf-bar-bucket-box-shadow-from,
      inset 0 1px 2px $perf-bar-bucket-box-shadow-to;

    .hidden {
      display: none;
    }

    &:hover .hidden {
      display: inline;
    }
  }

  .current-host.canary {
    color: $perf-bar-canary-text;
  }

  strong {
    color: $white;
  }

  table {
    color: $black;

    td {
      vertical-align: top;
    }

    .backtrace-row {
      display: none;
    }
  }

  .view {
    margin-right: 15px;
    flex-shrink: 0;

    &:last-child {
      margin-right: 0;
    }
  }

  .css-truncate {
    &.css-truncate-target,
    .css-truncate-target {
      display: inline-block;
      max-width: 125px;
      overflow: hidden;
      text-overflow: ellipsis;
      white-space: nowrap;
      vertical-align: top;
    }

    &.expandable:hover .css-truncate-target,
    &.expandable:hover.css-truncate-target {
      max-width: 10000px !important;
    }
  }

  .performance-bar-modal {
    .modal-body {
      padding: 0;
    }

    .modal-footer {
      display: none;
    }
  }
}

#modal-peek-pg-queries-content {
  color: $black;
}

.with-performance-bar .nav-sidebar {
  top: $header-height + $performance-bar-height;
}
